Bug 130803 - debugger fails to pick up backspace in screen
debugger fails to pick up backspace in screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-24 16:13 EDT by Michael Soulier
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 14:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Soulier 2004-08-24 16:13:27 EDT
When I go into the debugger in perl via "perl -de 0", inside screen,
using an xterm (or any term for that matter), the backspace produces
^H chars. As I understand it, with the TERM environment variable set
to screen, perl is responsible for expecting ^H chars and using them
as backspaces. 

This doesn't happen in Vim, the python interpreter, or any other
application I've tried. 

[msoulier@tigger msoulier]$ rpm -q perl
perl-5.8.3-16
[msoulier@tigger msoulier]$ rpm -q screen
screen-3.9.15-11
[msoulier@tigger msoulier]$ stty -a
speed 38400 baud; rows 43; columns 80; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;
eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase = ^W;
lnext = ^V; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
-ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl
ixon -ixoff
-iuclc -ixany -imaxbel
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0
bs0 vt0 ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop
-echoprt
echoctl echoke
[msoulier@tigger msoulier]$ echo $TERM
screen

As a workaround, after I start screen, I can do the following to fix
the problem. 

stty erase `tput kbs`

...which changes the erase char to ^H. But, I can't seem to put this
command anywhere where it will take effect when I start screen. As
only the perl debugger is at issue here, I suspect it is at fault. 

I've gone through some other screen-related bugs with backspace, and
they all claim that my problem should be fixed now, so I'm tentatively
opening this new issue against perl. 

Thanks.
Comment 1 Warren Togami 2005-09-23 14:35:03 EDT
fc1 is no longer supported.  If you are able to reproduce this with a fresh
install of FC4 or FC5 with a fresh user profile, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.